# RiskModelSampleSummary.ProsecutorRisk (ARX GUI Documentation)

org.deidentifier.arx.risk

## Class RiskModelSampleSummary.ProsecutorRisk

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleSummary.RiskSummary
  - - org.deidentifier.arx.risk.RiskModelSampleSummary.ProsecutorRisk

- Enclosing class:
    RiskModelSampleSummary

      public static class RiskModelSampleSummary.ProsecutorRisk
      extends RiskModelSampleSummary.RiskSummary

  Prosecutor risk

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RiskModelSampleSummary.ProsecutorRisk(double rA, double rB, double rC)` Creates a new instance

  - ### Method Summary

    - ### Methods inherited from class org.deidentifier.arx.risk.RiskModelSampleSummary.RiskSummary

      `getHighestRisk, getRecordsAtRisk, getSuccessRate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelSampleSummary.ProsecutorRisk

          protected RiskModelSampleSummary.ProsecutorRisk(double rA,
                                               double rB,
                                               double rC)

      Creates a new instance
      Parameters:
        `rA` -
        `rB` -
        `rC` -